#!/bin/sh
# $FreeBSD: ports/www/wwwoffle/files/wwwoffled.sh.in,v 1.2 2006/02/20 20:47:50 dougb Exp $

# PROVIDE: wwwoffled
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: shutdown

# Define these wwwoffled_* variables in one of these files:
#	/etc/rc.conf
#	/etc/rc.conf.local
#	/etc/rc.conf.d/wwwoffled
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE
#
wwwoffled_enable=${wwwoffled_enable-"NO"}
wwwoffled_flags=${wwwoffled_flags-""}
wwwoffled_pidfile=${wwwoffled_pidfile-"/var/run/wwwoffled.pid"}
wwwoffled_conffile="/usr/local/etc/wwwoffle.conf"

. /etc/rc.subr

name="wwwoffled"
rcvar=`set_rcvar`
command="/usr/local/sbin/wwwoffled"

load_rc_config $name

pidfile="${wwwoffled_pidfile}"
command_args="-p > ${pidfile} 2> /dev/null"
required_files="${wwwoffled_conffile}"
stop_postcmd="/bin/rm -f ${pidfile}"

run_rc_command "$1"
